package tv.ouya.console.internal;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;
import tv.ouya.console.api.OuyaResponseListener;

public class ListenerBinderHelper<T>
{
  private OuyaResponseListener<T> listener;
  
  public ListenerBinderHelper(OuyaResponseListener<T> paramOuyaResponseListener)
  {
    this.listener = paramOuyaResponseListener;
  }
  
  public void onCancel()
    throws RemoteException
  {
    new Handler(Looper.getMainLooper()).post(new Runnable()
    {
      public void run()
      {
        ListenerBinderHelper.this.listener.onCancel();
      }
    });
  }
  
  public void onFailure(final int paramInt, final String paramString, final Bundle paramBundle)
    throws RemoteException
  {
    new Handler(Looper.getMainLooper()).post(new Runnable()
    {
      public void run()
      {
        ListenerBinderHelper.this.listener.onFailure(paramInt, paramString, paramBundle);
      }
    });
  }
  
  public void onSuccess(final T paramT)
    throws RemoteException
  {
    new Handler(Looper.getMainLooper()).post(new Runnable()
    {
      public void run()
      {
        ListenerBinderHelper.this.listener.onSuccess(paramT);
      }
    });
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/ListenerBinderHelper.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */